Evaluate Calculation
Function name:m3ter_EvaluateCalculation
Category: WRITE
HTTP method: POST
Destination: m3ter
Evaluates a calculation against a specific Event or an Event type without triggering a Notification. This is useful for validating your calculation logic before adding it to a Notification.
You can use either the eventId or eventName to test your calculation against:
eventIdTests the calculation for validity against a specific Event that has been generated for your Organization.eventNameTests the calculation for validity against the Event type.
- If in either case the calculation is valid, then
"success" : trueis returned. - If in either case the calculation is invalid, then
"success" : falseis returned, together with an"error message"giving the reason why the calculation is invaild for use against the specific Event or Event type.
eventId and the eventName as request body parameters in a single call, then the eventName takes precedence and the calculation is evaluated for validity against the Event type.
Parameters
Exits
Retrieve Notification
Function name:m3ter_GetNotification
Category: READ
HTTP method: GET
Destination: m3ter
Retrieve the details of a specific Notification using its UUID. Includes the Event the Notification is based on, and any calculation referencing the Event’s field and which defines further conditions that must be met to trigger the Notification when the Event occurs.
Parameters
Exits
Update Notification
Function name:m3ter_UpdateNotification
Category: WRITE
HTTP method: PUT
Destination: m3ter
Update a Notification with the given UUID.
This endpoint modifies the configuration details of an existing Notification. You can change the Event that triggers the Notification and/or update the conditions for sending the Notification.
Parameters
Exits
Delete Notification
Function name:m3ter_DeleteNotification
Category: WRITE
HTTP method: DELETE
Destination: m3ter
Delete the Notification with the given UUID.
This endpoint permanently removes a specified Notification and its configuration. This action cannot be undone.
Parameters
Exits
List Notifications
Function name:m3ter_ListNotifications
Category: READ
HTTP method: GET (paginated)
Destination: m3ter
Retrieve a list of Event Notifications for the specified Organization.
This endpoint retrieves a list of all Event Notifications for the Organization identified by its UUID. The list can be paginated for easier management. The list also supports filtering by parameters such as Notification UUID.
Parameters
Exits
Create Notification
Function name:m3ter_CreateNotification
Category: WRITE
HTTP method: POST
Destination: m3ter
Create a new Notification for an Event.
This endpoint enables you to create a new Event Notification for the specified Organization. You need to supply a request body with the details of the new Notification.